Bug 26669 - The dialog displayed after using "Fix" is not intuitive
The dialog displayed after using "Fix" is not intuitive
Status: VERIFIED FIXED
Product: debugger
Classification: Unclassified
Component: Java
3.x
All Windows ME/2000
: P3 (vote)
: TBD
Assigned To: David-john Burrowes
issues@debugger
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-21 08:39 UTC by iformanek
Modified: 2003-09-05 12:19 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description iformanek 2002-08-21 08:39:38 UTC
1. it should be a question dialog, not warning dialog
2. it uses language which might be correct from the 
debugger implementation perspective (pop stack/leave/...), 
but this tells nothing to the average user - suggest to 
use human terminology like "Call the last method again"
3. the text should be reworded so that the user makes 
direct mental connection between the buttons and the 
action described (ie. something like: "Press button A to 
call this method again, press button B to do whatever 
else...")
Comment 1 David-john Burrowes 2002-09-13 01:27:55 UTC
1. After discussion with HI folks, it is agreed that this should be a
question alert box.

2. I agree that the wording can probably be improved.  Within the
current text, there is an inconsistency (is the thing on the stack a
method or a call?).  (in general, we probably shouldn't be using the
word 'method').  I'm reassigning this issue to Gail to find the right
phrasing.

3. This, also, sounds good, particularly in this case.  There are no
HI standards that make this manditory, but I agree that this is
probably needed given the complexity of the issue.  Again, though, I
think this is in Gail's court to make sure the wording is good and
consistent with what gets documented.

FWIW, the current wording is:
*Old Method on Stack*
The most recent call on the current stack blongs to one of the classes
that you fixed.  you can pop the call so that you will then call the
new version.
[[&Pop Call]]  [&Leave Call]  [&Help]


(I'm moving this to debuggerjpda since this alert is specific to the
jpda debugger.  other debuggers will have different alerts).
Comment 2 Jan Jancura 2003-01-13 17:04:22 UTC
David John, Gail,
do you have some idea how to fix it?
Comment 3 David-john Burrowes 2003-01-13 21:23:05 UTC
Gail should make the final decision about the words.  I would recommend:

*Old Call on Stack*
The most recent call on the stack is associated with one of the
classes that you fixed.  To remove this call so that the fixed methid
will be called, click on "Pop Call", otherwise click on "Use Old".
[[&Pop Call]]  [&Use Old]  [&Help]

I know this still uses the word "pop" and "stack", but these are terms
used elsewhere in the interface, so it seems unnecessary to try to
avoid them (and I am assuming the majority of the people using this
product will know what a stack is and about push and pop operations on
it.  I assume this is taught in most CS programs all around the world).
Comment 4 Gail Chappell 2003-01-17 20:14:45 UTC
Nice job, David John.  I agree with using the terms stack and pop
since they are both used in the interface and in other companies'
debugger interfaces.  Here is an update of David John's write-up with
some minor edits.

*Old Call on Stack*
   The most recent call on the stack is associated with one of the
   classes that you fixed.  To remove this call so that the fixed 
   method is called, click the Pop Call button. Otherwise, click 
   the Use Old button.
   [[&Pop Call]]  [&Use Old]  [&Help]
Comment 5 Jan Jancura 2003-01-21 10:06:02 UTC
fixed in the main trunk
Comment 6 Milan Kubec 2003-09-05 12:19:42 UTC
Verified.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo